# Copyright 2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit desktop qmake-utils git-r3

DESCRIPTION="Qt Quick Based Camera Application"
HOMEPAGE="http://www.e-consystems.com/opensource-linux-webcam-software-application.asp"
EGIT_COMMIT="a83b46ce8926f136e05e2ca461445a9c3f26f3f9"
EGIT_REPO_URI="https://github.com/econsysqtcam/qtcam.git"

KEYWORDS="~amd64"
LICENSE="GPL-3"
SLOT="0"

DEPEND="dev-qt/qtdeclarative:5
		dev-qt/qtmultimedia:5
		media-video/ffmpeg
		virtual/libusb"
RDEPEND="${DEPEND}"
BDEPEND="app-arch/dpkg
		sys-apps/lsb-release"

S="${S}/src"

src_prepare() {
        default
        
        sed -i 's|target.path = /usr/|target.path = /usr/share/|' qtcam.pro
}

src_configure() {
        eqmake5 PREFIX="${EPREFIX}"/usr
}

src_install() {
        emake INSTALL_ROOT="${D}" install

        dobin "${D}"/usr/share/Qtcam
        rm -f "${D}"/usr/share/Qtcam

        domenu "${S}"/Qtcam_16.04.desktop
}
